Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.graphdb.event
Enum ErrorState

    java.lang.Object
      java.lang.Enum<ErrorState>
          org.neo4j.graphdb.event.ErrorState

All Implemented Interfaces:
  Serializable, Comparable<ErrorState>

    public enum ErrorState

extends Enum<ErrorState>

An object that describes a state from which a Neo4j Graph Database cannot continue.

Author:
  Tobias Ivarsson

Enum Constant Summary
`STORAGE_MEDIA_FULL` The Graph Database failed since the storage media where the graph database data is stored is full and cannot be written to.
`TX_MANAGER_NOT_OK`

Method Summary
`static ErrorState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STORAGE_MEDIA_FULL

    public static final ErrorState STORAGE_MEDIA_FULL

  The Graph Database failed since the storage media where the graph database data is stored is full and cannot be written to.

### TX_MANAGER_NOT_OK

    public static final ErrorState TX_MANAGER_NOT_OK

Method Detail

### values

    public static ErrorState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorState c : ErrorState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.